from enum import Enum

from .rbs_arm import RbsArm
from .robot import RobotWrapper


class RobotEnum(Enum):
    RBS_ARM = "rbs_arm"


def get_robot_model_class(robot_model: str) -> type[RobotWrapper]:
    model_mapping = {
        RobotEnum.RBS_ARM.value: RbsArm,
    }

    return model_mapping.get(robot_model, RbsArm)
