from typing import Optional
from std_msgs.msg import Float64MultiArray

class JointEffortController:
    def __init__(self, node, namespace: Optional[str] = "") -> None:
        self.node = node
        self.publisher = node.create_publisher(Float64MultiArray, 
                                               namespace + "/joint_effort_controller/commands", 10)
        # self.timer = node.create_timer(0.1, self.timer_callback)
        # self.publish = True
        self._effort_array = Float64MultiArray()

    @property
    def target_effort(self) -> Float64MultiArray:
        return self._effort_array

    @target_effort.setter
    def target_effort(self, data: Float64MultiArray):
        self._effort_array = data

    # def timer_callback(self):
    #     if self.publish:
    #         self.publisher.publish(self._target_wrench)


