import os
from glob import glob

from setuptools import find_packages, setup

package_name = "rbs_runtime"

setup(
    name=package_name,
    version="0.0.0",
    packages=find_packages(exclude=["test"]),
    data_files=[
        ("share/ament_index/resource_index/packages", ["resource/" + package_name]),
        ("share/" + package_name, ["package.xml"]),
        (
            os.path.join("share", package_name, "launch"),
            glob(os.path.join("launch", "*launch.[pxy][yma]*")),
        ),
        (
            os.path.join("share", package_name, "config"),
            glob(os.path.join("config", "*config.[yma]*")),
        ),
    ],
    install_requires=["setuptools", "dacite"],
    zip_safe=True,
    maintainer="narmak",
    maintainer_email="ur.narmak@gmail.com",
    description="TODO: Package description",
    license="Apache-2.0",
    tests_require=["pytest"],
    entry_points={
        "console_scripts": [
            "runtime = rbs_runtime.scripts.runtime:main",
        ],
    },
)
