{
  lib,
  buildPythonPackage,
  fetchgit,
  poetry-core,
  trimesh,
}:

buildPythonPackage rec {
  pname = "rbs-assets-library";
  version = "unstable-2024-12-01";
  pyproject = true;

  src = fetchgit {
    url = "https://gitlab.com/solid-sinusoid/rbs-assets-library";
    rev = "16d3f6d750a8c903532f4bde22bbe41ebd35ec5c";
    hash = "sha256-p0f3hRVxVilFPUoqGAzjcffoUw1KWz1L5JaEydmfPHo=";
    fetchLFS = true;
  };

  build-system = [
    poetry-core
    trimesh
  ];

  pythonImportsCheck = [
    "rbs_assets_library"
  ];

  meta = {
    description = "";
    homepage = "https://github.com/solid-sinusoid/rbs_assets_library";
    license = lib.licenses.asl20;
    maintainers = with lib.maintainers; [ ];
  };
}
